org.h2.security.auth

## Class AuthenticationInfo

- java.lang.Object
- - org.h2.security.auth.AuthenticationInfo

    public class AuthenticationInfo
    extends java.lang.Object

Input data for authenticators; it wraps ConnectionInfo

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationInfo(ConnectionInfo connectionInfo)`

### Method Summary

Methods
`void` `clean()` Clean authentication data.
`ConnectionInfo` `getConnectionInfo()`
`java.lang.String` `getFullyQualifiedName()`
`java.lang.Object` `getNestedIdentity()` Gets nested identity object that can be used by authenticator to hold information.
`java.lang.String` `getPassword()`
`java.lang.String` `getRealm()`
`java.lang.String` `getUserName()`
`void` `setNestedIdentity(java.lang.Object nestedIdentity)` Method used by authenticators to hold information about authenticated user

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationInfo

    public AuthenticationInfo(ConnectionInfo connectionInfo)

### Method Detail

#### getUserName

    public java.lang.String getUserName()

#### getRealm

    public java.lang.String getRealm()

#### getPassword

    public java.lang.String getPassword()

#### getConnectionInfo

    public ConnectionInfo getConnectionInfo()

#### getFullyQualifiedName

    public java.lang.String getFullyQualifiedName()

#### getNestedIdentity

    public java.lang.Object getNestedIdentity()

Gets nested identity object that can be used by authenticator to hold information.

Returns:
  nested identity object.

#### setNestedIdentity

    public void setNestedIdentity(java.lang.Object nestedIdentity)

Method used by authenticators to hold information about authenticated user

Parameters:
  `nestedIdentity` - = nested identity object

#### clean

    public void clean()

Clean authentication data.